<ion-content>
  <!-- close modal FAB -->
  <ion-fab padding>
    <button ion-fab id="close-modal-fab" (click)="closeModal()">
      <ion-icon name="arrow-back"></ion-icon>
    </button>
  </ion-fab>

  <ng-container *ngIf="movie | async as movie">
    <!-- backdrop -->
    <div id="offset-container">
      <img
        [src]="movie.backdrop_path"
        id="backdrop-image"
        [class.debug-blur]="blurTMDBImages"
      />

      <ion-grid id="offset-grid">
        <ion-row>
          <!-- poster -->
          <ion-col col-5>
            <img
              [src]="movie.poster_path"
              id="movie-poster"
              [class.debug-blur]="blurTMDBImages"
            />
          </ion-col>

          <ion-col col-7>
            <!-- title -->
            <ion-row>
              <ion-col>
                <h1 id="movie-title">{{ movie.title }}</h1>
              </ion-col>
            </ion-row>

            <ion-row>
              <!-- rating -->
              <!-- TODO convert to 5-star line -->
              <ion-col col-auto>
                <ion-badge color="secondary">
                  {{ movie.vote_average }}
                  <ion-icon color="light" name="star"></ion-icon>
                </ion-badge>
              </ion-col>

              <!-- runtime -->
              <ion-col col-auto>
                <ion-badge color="secondary">
                  {{ movie.runtime }} {{ "movie-details.runtime" | translate }}
                </ion-badge>
              </ion-col>
            </ion-row>

            <!-- genres -->
            <ion-row>
              <ion-col col-auto *ngFor="let genre of movie.genres">
                <ion-badge color="darkgrey" (click)="openGenre(genre)">
                  {{ genre.name }}
                </ion-badge>
              </ion-col>
            </ion-row>
          </ion-col>
        </ion-row>

        <!-- buttons -->
        <ion-row>
          <!-- trailer -->
          <ion-col *ngIf="trailer | async as trailer">
            <button
              ion-button
              block
              outline
              icon-start
              color="light"
              (click)="playVideo(trailer)"
            >
              <ion-icon name="play"></ion-icon>
              {{ "movie-details.buttons.trailer" | translate }}
            </button>
          </ion-col>

          <!-- add to favorites -->
          <ion-col>
            <ng-container *ngIf="isFavorite | async; else favoriteButton">
              <button
                ion-button
                icon-start
                block
                outline
                color="secondary"
                (click)="removeFromFavorites()"
              >
                <ion-icon name="heart" color="secondary"></ion-icon>
                {{ "movie-details.buttons.favorite" | translate }}
              </button>
            </ng-container>

            <ng-template #favoriteButton>
              <button
                ion-button
                icon-start
                block
                outline
                color="light"
                (click)="addToFavorites()"
              >
                <ion-icon name="heart-outline"></ion-icon>
                {{ "movie-details.buttons.favorite" | translate }}
              </button>
            </ng-template>
          </ion-col>

          <!-- share -->
          <ion-col>
            <button
              ion-button
              block
              outline
              icon-start
              color="light"
              (click)="share()"
            >
              <ion-icon name="share"></ion-icon>
              {{ "movie-details.buttons.share" | translate }}
            </button>
          </ion-col>
        </ion-row>

        <!-- overview -->
        <ion-row>
          <ion-col>
            <p>{{ movie.overview }}</p>
          </ion-col>
        </ion-row>

        <!-- bottom button to close modal -->
        <ion-row>
          <ion-col col-12>
            <button ion-button full class="my-button" (click)="closeModal()">
              {{ "movie-details.buttons.return" | translate }}
            </button>
          </ion-col>
        </ion-row>
      </ion-grid>
    </div>
  </ng-container>
</ion-content>
